it.csi.mddtools.guigen

## Interface Table

- All Superinterfaces:
    DataWidget, org.eclipse.emf.ecore.EObject, MultiDataWidget, org.eclipse.emf.common.notify.Notifier, Widget

      public interface Table
      extends DataWidget, MultiDataWidget

  A representation of the model object 'Table'. Tabella di visualizzazione dati. Permette di visualizzare in formato tabellare una collezione di record. Mette a disposizione alcune funzioni avanzate:
  1. paginazione
     - opzionale
     - con possibilità di impostare la dimensione della "pagina"
     - resettabile da business logic
  2. export dei dati
     - opzionale
     - in formato PDF, XLS, RTF
  3. Con selezione della riga (è è il valore associato al DataWidget Table, utilizzabile nella business logic
     - opzionale (abilitata solo se è impostato un databinding/valuebinding)
     - singola o multipla (a seconda del tipo del databinding/valuebinding)
  4. Con possibilità di editing delle celle
     - con widget di editing differenziato a seconda del tipo del dato della cella (TextField se Stringa/numerico, checkbox se boolean
     - con possibilità di scegliere a runtime se una singola cella deve essere editabile o meno
     - con possibilità di prendere il valore della cella da una collection (tramite combobox); la collection può essere unica per tutta la colonna o variabile per la singola riga

  The following features are supported:

  - `Column Model`
  - `Page Size`
  - `Enable Export`
  - `Custom Decorator`
  - `Summary`
  See Also:
    `GuigenPackage.getTable()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnModel` | `getColumnModel()` Returns the value of the 'Column Model' containment reference
    `int` | `getPageSize()` Returns the value of the 'Page Size' attribute
    `java.lang.String` | `getSummary()` Returns the value of the 'Summary' attribute
    `boolean` | `isCustomDecorator()` Returns the value of the 'Custom Decorator' attribute
    `boolean` | `isEnableExport()` Returns the value of the 'Enable Export' attribute.
    `void` | `setColumnModel(ColumnModel value)` Sets the value of the '`Column Model`' containment reference
    `void` | `setCustomDecorator(boolean value)` Sets the value of the '`Custom Decorator`' attribute
    `void` | `setEnableExport(boolean value)` Sets the value of the '`Enable Export`' attribute
    `void` | `setPageSize(int value)` Sets the value of the '`Page Size`' attribute
    `void` | `setSummary(java.lang.String value)` Sets the value of the '`Summary`' attribute

    - ### Methods inherited from interface it.csi.mddtools.guigen.DataWidget

      `getDatabinding, getDataType, getDataTypeModifier, isRequired, setDatabinding, setDataType, setDataTypeModifier, setRequired`

    - ### Methods inherited from interface it.csi.mddtools.guigen.MultiDataWidget

      `getMultiDataBinding, setMultiDataBinding`

    - ### Methods inherited from interface it.csi.mddtools.guigen.Widget

      `getEnableEnrichment, getEventHandlers, getLabel, getLayoutSpec, getName, getSecurityConstraints, getTooltip, isDefaultEnabled, isDefaultVisible, setDefaultEnabled, setDefaultVisible, setEnableEnrichment, setLabel, setLayoutSpec, setName, setTooltip`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getColumnModel

          ColumnModel getColumnModel()

      Returns the value of the 'Column Model' containment reference.

      If the meaning of the 'Column Model' containment reference isn't clear, there really should be more of a description here...

      Il modello delle colonne che la tabella dovrà visualizzare.
      Returns:
        the value of the 'Column Model' containment reference.
      See Also:
        `setColumnModel(ColumnModel)`, `GuigenPackage.getTable_ColumnModel()`

    - #### setColumnModel

          void setColumnModel(ColumnModel value)

      Sets the value of the '`Column Model`' containment reference.
      Parameters:
        `value` - the new value of the 'Column Model' containment reference.
      See Also:
        `getColumnModel()`

    - #### getPageSize

          int getPageSize()

      Returns the value of the 'Page Size' attribute.

      If the meaning of the 'Page Size' attribute isn't clear, there really should be more of a description here...

      Numero di record max visualizzati in una pagina. Un valore di "0" significa che la paginazione è disabilitata: in questo caso vengono visualizzati tutti i record.
      Returns:
        the value of the 'Page Size' attribute.
      See Also:
        `setPageSize(int)`, `GuigenPackage.getTable_PageSize()`

    - #### setPageSize

          void setPageSize(int value)

      Sets the value of the '`Page Size`' attribute.
      Parameters:
        `value` - the new value of the 'Page Size' attribute.
      See Also:
        `getPageSize()`

    - #### isEnableExport

          boolean isEnableExport()

      Returns the value of the 'Enable Export' attribute. The default value is `"true"`.

      If the meaning of the 'Enable Export' attribute isn't clear, there really should be more of a description here...

      Se impostato a true abilita l'export della tabella.
      Returns:
        the value of the 'Enable Export' attribute.
      See Also:
        `setEnableExport(boolean)`, `GuigenPackage.getTable_EnableExport()`

    - #### setEnableExport

          void setEnableExport(boolean value)

      Sets the value of the '`Enable Export`' attribute.
      Parameters:
        `value` - the new value of the 'Enable Export' attribute.
      See Also:
        `isEnableExport()`

    - #### isCustomDecorator

          boolean isCustomDecorator()

      Returns the value of the 'Custom Decorator' attribute.

      If the meaning of the 'Custom Decorator' attribute isn't clear, there really should be more of a description here...

      Se impostato a true abilita la definizione di un CustomDecorator, per impostazioni grafiche particolari a livello di intera riga
      Returns:
        the value of the 'Custom Decorator' attribute.
      See Also:
        `setCustomDecorator(boolean)`, `GuigenPackage.getTable_CustomDecorator()`

    - #### setCustomDecorator

          void setCustomDecorator(boolean value)

      Sets the value of the '`Custom Decorator`' attribute.
      Parameters:
        `value` - the new value of the 'Custom Decorator' attribute.
      See Also:
        `isCustomDecorator()`

    - #### getSummary

          java.lang.String getSummary()

      Returns the value of the 'Summary' attribute.

      If the meaning of the 'Summary' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Summary' attribute.
      See Also:
        `setSummary(String)`, `GuigenPackage.getTable_Summary()`

    - #### setSummary

          void setSummary(java.lang.String value)

      Sets the value of the '`Summary`' attribute.
      Parameters:
        `value` - the new value of the 'Summary' attribute.
      See Also:
        `getSummary()`